Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.application
Class Application

    java.lang.Object
      com.developmentontheedge.application.Application

public class Application
extends java.lang.Object

To do:
  Replace LOG4J to JDK1.4 logging.

Constructor Summary
`Application()`

Method Summary
`static ActionManager` | `getActionManager()`
`static ApplicationFrame` | `getApplicationFrame()`
`static ApplicationRegistry` | `getRegistry()`
`static java.lang.Object` | `getResource(java.lang.String key)` Get an object from a ResourceBundle.
`static java.lang.String` | `getString(java.lang.String key)` Get an String from a registered ResourceBundle.
`static void` | `registerActionManager(ActionManager actionManager)`
`static void` | `registerApplicationFrame(ApplicationFrame frame)`
`static void` | `registerCategory(org.apache.log4j.Category c)`
`static java.util.ListResourceBundle` | `registerMessageBundle(java.lang.String name)`
`static void` | `setRegistry(ApplicationRegistry newRegistry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Application

    public Application()

Method Detail

### getRegistry

    public static ApplicationRegistry getRegistry()

### setRegistry

    public static void setRegistry(ApplicationRegistry newRegistry)

### getApplicationFrame

    public static ApplicationFrame getApplicationFrame()

  Returns:
    instance of application frame.

### registerApplicationFrame

    public static void registerApplicationFrame(ApplicationFrame frame)

### getActionManager

    public static ActionManager getActionManager()

  Returns:
    instance of `ActionManager`.

### registerActionManager

    public static void registerActionManager(ActionManager actionManager)

### registerCategory

    public static void registerCategory(org.apache.log4j.Category c)

### registerMessageBundle

    public static java.util.ListResourceBundle registerMessageBundle(java.lang.String name)

  Parameters:
    `name` -
  Returns:
    ResourceBundle

### getResource

    public static java.lang.Object getResource(java.lang.String key)

  Get an object from a ResourceBundle.

  Parameters:
    `key` - an String key
  Returns:
    Requested object or key if not found

### getString

    public static java.lang.String getString(java.lang.String key)

  Get an String from a registered ResourceBundle.

  Parameters:
    `key` - an key
  Returns:
    Requested object or key if not found

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.